%define anolis_release 4
%bcond_without optional_test
%global modname Archive-Tar

Name:           perl-%{modname}
Version:        2.40
Release:        %{anolis_release}%{?dist}
Summary:        A module for Perl manipulation of .tar files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{modname}-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Getopt::Std)  perl(strict) perl(Carp) perl(constant) perl(Cwd)
BuildRequires:  perl(Exporter) perl(Getopt::Long) perl(Data::Dumper)
BuildRequires:  perl(File::Basename) perl(File::Find) perl(File::Path) perl(File::Spec) >= 0.82 perl(File::Spec::Unix)
BuildRequires:  perl(IO::File) perl(IO::Handle) perl(IO::Zlib) >= 1.01
BuildRequires:  perl(Pod::Usage) perl(vars) perl(warnings)
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.015 perl(IO::Compress::Bzip2) >= 2.015
BuildRequires:  perl(File::Copy) perl(File::Temp) perl(FindBin)
BuildRequires:  perl(lib) perl(Test::Harness) >= 2.26 perl(Test::More)

%if !%{defined perl_bootstrap}
BuildRequires:  perl(IO::Compress::Xz) perl(IO::Uncompress::UnXz) perl(Text::Diff)
%endif
%if %{with optional_test} && !%{defined perl_bootstrap}
BuildRequires:  perl(IPC::Cmd) perl(Test::Pod) >= 0.95
%endif

Requires:       perl(IO::Zlib) >= 1.01 perl(IO::Compress::Bzip2) >= 2.015 perl(IO::Uncompress::Bunzip2) >= 2.015
%if !%{defined perl_bootstrap}
Requires:       perl(IO::Compress::Xz) perl(IO::Uncompress::UnXz) perl(Text::Diff)
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(IO::Zlib\\)$

Obsoletes:      %{name}-tests < %{EVR}

BuildArch:      noarch

%description
Archive::Tar provides an object oriented mechanism for handling tar
files.  It provides class methods for quick and easy files handling
while also allowing for the creation of tar file objects for custom
manipulation.  If you have the IO::Zlib module installed, Archive::Tar
will also support compressed or gzipped tar files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{perl_vendorlib}/Archive/
%{_mandir}/man3/*.3*
%{_mandir}/man1/*.1*

%files doc
%doc CHANGES README

%changelog
* Thu Apr 13 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.40-4
- Refactor the specfile and remove tests sub-package

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.40-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.40-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.40-1
- init from upstream
